> ## Documentation Index
> Fetch the complete documentation index at: https://docs.robase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Send email batch



## OpenAPI

````yaml POST /emails/batch
openapi: 3.1.0
info:
  title: Robase API
  version: '2026-04-17'
  description: Transactional email and programmable SMS for Africa.
  contact:
    email: support@robase.dev
    url: https://robase.dev
  license:
    name: Proprietary
servers:
  - url: https://api.robase.dev/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /emails/batch:
    post:
      tags:
        - Emails
      summary: Send an email batch
      operationId: batchEmails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  maxItems: 100
                  items:
                    $ref: '#/components/schemas/SendEmailRequest'
      responses:
        '202':
          description: Accepted.
components:
  schemas:
    SendEmailRequest:
      type: object
      required:
        - from
        - to
        - subject
      properties:
        from:
          type: string
          example: Team <hello@mail.shuttlers.ng>
        to:
          type: array
          items:
            type: string
        cc:
          type: array
          items:
            type: string
        bcc:
          type: array
          items:
            type: string
        reply_to:
          type: array
          items:
            type: string
        subject:
          type: string
        html:
          type: string
        text:
          type: string
        headers:
          type: object
          additionalProperties:
            type: string
        tags:
          type: array
          items:
            type: string
        track_opens:
          type: boolean
        track_clicks:
          type: boolean
        send_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: rb_<env>_<token>
      description: 'Pass your API key as `Authorization: Bearer rb_live_...`'

````